Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Class GLGraphics

    java.lang.Object
      PGraphicsOpenGL
          codeanticode.glgraphics.GLGraphics

All Implemented Interfaces:
  GLConstants

    public class GLGraphics

extends PGraphicsOpenGL
implements GLConstants

This class makes the OpenGL renderer compatible with the GLTexture object.

Field Summary
`float[]` | `currentLightSpecularGL` Current specular color for lighting

Fields inherited from interface codeanticode.glgraphics.GLConstants
`BACKGROUND_ALPHA, COLOR, DOUBLE, FLOAT, FRAGMENT_PROGRAM, GEOMETRY_PROGRAM, GL_DEPTH_STENCIL, GL_DEPTH24_STENCIL8, GL_UNSIGNED_INT_24_8, GLGRAPHICS, IDENTITY_MATRIX, INVERSE_MATRIX, INVERSE_TRANSPOSE_MATRIX, LINE_LOOP, LINE_STRIP, LINEAR, LINEAR_MIPMAP_LINEAR, LINEAR_MIPMAP_NEAREST, NEAREST, NEAREST_MIPMAP_LINEAR, NEAREST_MIPMAP_NEAREST, POINT_SPRITES, SHADER_VAR_FLOAT, SHADER_VAR_INT, SHADER_VAR_MAT2, SHADER_VAR_MAT3, SHADER_VAR_MAT4, SHADER_VAR_MODELVIEW_MAT, SHADER_VAR_MODELVIEW_PROJECTION_MAT, SHADER_VAR_PROJECTION_MAT, SHADER_VAR_TEXTURE_MAT, SHADER_VAR_TEXTURE_SAMPLER, SHADER_VAR_VEC2, SHADER_VAR_VEC3, SHADER_VAR_VEC4, TEX_BYTE, TEX_INT, TEX_NORM, TEX_ONEDIM, TEX_RECT, TRANSPOSE_MATRIX, VERTEX_PROGRAM`

Constructor Summary
`GLGraphics()` Default constructor.

Method Summary
`void` | `addWindow(GLWindow win)` Adds a GLWindow to be handled by this renderer.
`void` | `ambientLight(float r, float g, float b)` Add an ambient light based on the current color mode.
`void` | `ambientLight(float r, float g, float b, float x, float y, float z)` Add an ambient light based on the current color mode.
`void` | `beginDraw()`
`GL` | `beginGL()`
`void` | `camera()`
`void` | `camera(float eyeX, float eyeY, float eyeZ, float centerX, float centerY, float centerZ, float upX, float upY, float upZ)`
`boolean` | `canDraw()` Adds the additional check for all the GL windows.
`void` | `directionalLight(float r, float g, float b, float nx, float ny, float nz)`
`void` | `endCamera()`
`void` | `endDraw()`
`void` | `endGL()`
`void` | `frustum(float left, float right, float bottom, float top, float near, float far)`
`GLCapabilities` | `getCapabilities()` Returns the OpenGL capabilities of the drawable associated to this renderer.
`static java.lang.String` | `getVersion()`
`void` | `lightFalloff(float constant, float linear, float quadratic)` Set the light falloff rates for the last light that was created.
`void` | `lights()`
`void` | `lightSpecular(float x, float y, float z)` Set the specular color of the last light created.
`void` | `model(GLModel model)`
`void` | `model(GLModel model, float x, float y, float z, int first, int last, GLModelEffect effect)`
`void` | `model(GLModel model, GLModelEffect effect)`
`void` | `model(GLModel model, int first, int last)`
`void` | `model(GLModel model, int first, int last, GLModelEffect effect)`
`float` | `modelX(float x, float y, float z)`
`float` | `modelY(float x, float y, float z)`
`float` | `modelZ(float x, float y, float z)`
`void` | `noLights()`
`void` | `ortho()`
`void` | `ortho(float left, float right, float bottom, float top, float near, float far)`
`void` | `perspective()`
`void` | `perspective(float fov, float aspect, float near, float far)`
`void` | `pointLight(float r, float g, float b, float x, float y, float z)`
`void` | `popMatrix()`
`void` | `pushMatrix()`
`void` | `restoreLights()`
`void` | `rotate(float angle)`
`void` | `rotate(float angle, float vx, float vy, float vz)`
`void` | `rotateX(float angle)`
`void` | `rotateY(float angle)`
`void` | `rotateZ(float angle)`
`void` | `saveLights()`
`void` | `scale(float s)`
`void` | `scale(float sx, float sy)`
`void` | `scale(float x, float y, float z)`
`float` | `screenX(float x, float y)`
`float` | `screenX(float x, float y, float z)`
`float` | `screenY(float x, float y)`
`float` | `screenY(float x, float y, float z)`
`float` | `screenZ(float x, float y, float z)`
`void` | `setBlendMode(int MODE)`
`void` | `setOffScreenRenderer(GLGraphicsOffScreen renderer)`
`void` | `setSize(int iwidth, int iheight)`
`void` | `shareContext(GLCanvas canvas)` Creates a new context for canvas that is shared with the context of GLGraphics.
`void` | `spotLight(float r, float g, float b, float x, float y, float z, float nx, float ny, float nz, float angle, float concentration)`
`void` | `translate(float tx, float ty)`
`void` | `translate(float tx, float ty, float tz)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentLightSpecularGL

    public float[] currentLightSpecularGL

  Current specular color for lighting

Constructor Detail

### GLGraphics

    public GLGraphics()

  Default constructor.

Method Detail

### addWindow

    public void addWindow(GLWindow win)

  Adds a GLWindow to be handled by this renderer.

  Parameters:
    `win` - GLWindow

### getCapabilities

    public GLCapabilities getCapabilities()

  Returns the OpenGL capabilities of the drawable associated to this renderer.

  Returns:
    GLCapabilities

### shareContext

    public void shareContext(GLCanvas canvas)

  Creates a new context for canvas that is shared with the context of GLGraphics.

  Parameters:
    `GLCanvas` - canvas

### canDraw

    public boolean canDraw()

  Adds the additional check for all the GL windows.

### setSize

    public void setSize(int iwidth,
                        int iheight)

### beginGL

    public GL beginGL()

### endGL

    public void endGL()

### getVersion

    public static java.lang.String getVersion()

### beginDraw

    public void beginDraw()

### endDraw

    public void endDraw()

### pushMatrix

    public void pushMatrix()

### popMatrix

    public void popMatrix()

### translate

    public void translate(float tx,
                          float ty)

### translate

    public void translate(float tx,
                          float ty,
                          float tz)

### rotate

    public void rotate(float angle)

### rotateX

    public void rotateX(float angle)

### rotateY

    public void rotateY(float angle)

### rotateZ

    public void rotateZ(float angle)

### rotate

    public void rotate(float angle,
                       float vx,
                       float vy,
                       float vz)

### scale

    public void scale(float s)

### scale

    public void scale(float sx,
                      float sy)

### scale

    public void scale(float x,
                      float y,
                      float z)

### lights

    public void lights()

### saveLights

    public void saveLights()

### restoreLights

    public void restoreLights()

### noLights

    public void noLights()

### ambientLight

    public void ambientLight(float r,
                             float g,
                             float b)

  Add an ambient light based on the current color mode.

### ambientLight

    public void ambientLight(float r,
                             float g,
                             float b,
                             float x,
                             float y,
                             float z)

  Add an ambient light based on the current color mode. This version includes an (x, y, z) position for situations where the falloff distance is used.

### directionalLight

    public void directionalLight(float r,
                                 float g,
                                 float b,
                                 float nx,
                                 float ny,
                                 float nz)

### pointLight

    public void pointLight(float r,
                           float g,
                           float b,
                           float x,
                           float y,
                           float z)

### spotLight

    public void spotLight(float r,
                          float g,
                          float b,
                          float x,
                          float y,
                          float z,
                          float nx,
                          float ny,
                          float nz,
                          float angle,
                          float concentration)

### lightFalloff

    public void lightFalloff(float constant,
                             float linear,
                             float quadratic)

  Set the light falloff rates for the last light that was created. Default is lightFalloff(1, 0, 0).

### lightSpecular

    public void lightSpecular(float x,
                              float y,
                              float z)

  Set the specular color of the last light created.

### endCamera

    public void endCamera()

### camera

    public void camera()

### camera

    public void camera(float eyeX,
                       float eyeY,
                       float eyeZ,
                       float centerX,
                       float centerY,
                       float centerZ,
                       float upX,
                       float upY,
                       float upZ)

### ortho

    public void ortho()

### ortho

    public void ortho(float left,
                      float right,
                      float bottom,
                      float top,
                      float near,
                      float far)

### perspective

    public void perspective()

### perspective

    public void perspective(float fov,
                            float aspect,
                            float near,
                            float far)

### frustum

    public void frustum(float left,
                        float right,
                        float bottom,
                        float top,
                        float near,
                        float far)

### screenX

    public float screenX(float x,
                         float y)

### screenY

    public float screenY(float x,
                         float y)

### screenX

    public float screenX(float x,
                         float y,
                         float z)

### screenY

    public float screenY(float x,
                         float y,
                         float z)

### screenZ

    public float screenZ(float x,
                         float y,
                         float z)

### modelX

    public float modelX(float x,
                        float y,
                        float z)

### modelY

    public float modelY(float x,
                        float y,
                        float z)

### modelZ

    public float modelZ(float x,
                        float y,
                        float z)

### model

    public void model(GLModel model)

### model

    public void model(GLModel model,
                      GLModelEffect effect)

### model

    public void model(GLModel model,
                      int first,
                      int last)

### model

    public void model(GLModel model,
                      int first,
                      int last,
                      GLModelEffect effect)

### model

    public void model(GLModel model,
                      float x,
                      float y,
                      float z,
                      int first,
                      int last,
                      GLModelEffect effect)

### setBlendMode

    public void setBlendMode(int MODE)

### setOffScreenRenderer

    public void setOffScreenRenderer(GLGraphicsOffScreen renderer)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library GLGraphics by Andres Colubri. (c) 2008